Subject: Re: [Patch 4/5] Network Drop Monitor: Adding drop monitor implementation & Netlink protocol

From: Patrick McHardy <[email-masked]>
Date: Thu, 02 Apr 2009 17:06:40 +0200

Herbert Xu wrote:
> On Thu, Apr 02, 2009 at 04:57:36PM +0200, Patrick McHardy wrote:
>> I didn't spot the problem, it seems it alreay copies all (sub)structures
>> that have larger alignment requirements.
> 
> Oh no I didn't mean that xfrm_userpolicy_info has a problem, for
> all I know it might not even have a u64 inside :)

:)

> If we can ensure that all netlink backends use the helpers that
> copy, even for structures then it should definitely work.

Yes, that should always work. For new stuff I think we should try
to avoid encapsulating larger structures in single attributes though
since it forces us to do copy everything, instead of just the types
that really require it (and the padding issues in case of at least
non-priviledged interfaces).